<include src="{{DATEBOX_PATH}}datebox.html" />
<include src="{{LISTBOX_PATH}}listbox.html" />

<webbox id="productionEdit">
<form name="productionEdit" onsubmit="return false;">
<input type="submit" class="hidden_submit" value=""
       onclick="this.focus(); save();" />
<include src="{{./}}header.html" />
<table class="input-form">
  <tr>
    <td>
      <table class="group-box">
        <tr>
          <td>T_("Production Date"):</td>
          <td>
            <WebObject Class="datebox" Name="production_date"
                       value="{{production_date}}"
                       format="DD/MM/YYYY"
                       onchange="date_not_in_future(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("Product"):</td>
          <td>
            <webobject class="listbox" name="product"
                       rs="products" value="{{product}}" 
                       width="--------------------"
                       onchange="save()" />
          </td>
        </tr>
        <tr>
          <td>T_("Quantity"):</td>
          <td>
            <input type="text" name="quantity" value="{{quantity}}" size="10" />
            <if condition="'{{product}}'!=''">{{unit}}</if>
          </td>
        </tr>
        <tr>
          <td>T_("Cost"):</td>
          <td><strong>{{cost}}</strong></td>
        </tr>
      </table>
    </td>

    <if condition="'{{product}}'!=''">
    <td valign="top">
      T_("Ingredients"): <br />
      <textarea name="ingredients" rows="3" cols="20">{{ingredients}}</textarea>
      <br />
      T_("Recalculate"): <input type="checkbox" name="recalculate" />
    </td>
    </if>

    <td valign="top">
      T_("Notes"): <br />
      <textarea name="notes" rows="3" cols="20">{{notes}}</textarea>
    </td>
  </tr>

  <if condition="'{{mode}}'=='edit'">
  <tr>
    <td align="right" colspan="10">
      T_("Last modified on: {{modification_date}}")
    </td>
  </tr>
  </if>
</table>

</form>
</webbox>
